Subject: Re: PREEMPT problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 Apr 2004 13:06:06 +1000

On Sat, 2004-04-03 at 02:43, Michel Dänzer wrote:
> On Fri, 2004-04-02 at 18:00, Michel Dänzer wrote:
> >
> > Note that the stuck processes only started with 2.6.5-rc3-ben0 here; the
> > last iteration of 2.6.5-rc2-ben0 is actually quite usable, albeit not
> > perfect either.
>
> I forgot to mention that the spurious segfaults also seemed much rarer
> with 2.6.5-rc2-ben0.

I see no reason for that. I just added more protection ;)

I also added a WARN_ON(), do you see it triggered in dmesg ?

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/